Uploaded image for project: 'Indy Node'
  1. Indy Node
  2. INDY-735

Support downgrade migration scripts

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Complete
    • Priority: Medium
    • Resolution: Deferred
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:

      Description

      • We support migration scripts during update
      • We support downgrade on apt level (it's possible to install a lower version)
      • However, migration scripts are always called AFTER code upgrade/downgrade. This is fine for upgrades, but doesn't work for downgrades, since we need to have the current code to call the downgrade migration script.
      • So, for downgrade cases migration scrip must be called BEFORE code downgrade.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            ashcherbakov Alexander Shcherbakov
            Watchers:
            Alexander Shcherbakov, Nathan George, Richard Esplin
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: